import request from '@/utils/httpRequest'
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default class JyReimbursementApprovalTypeService {
  list (param) {
    return request({
      url: prefix + '/jyReimbursementApproval/type/list',
      method: 'get',
      params: param
    })
  }
  bxList (param) {
    return request({
      url: prefix + '/jyReimbursementApproval/type/bxList',
      method: 'get',
      params: param
    })
  }
  cgList (param) {
    return request({
      url: prefix + '/jyReimbursementApproval/type/cgList',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: prefix + '/jyReimbursementApproval/type/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/jyReimbursementApproval/type/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix + '/jyReimbursementApproval/type/deleteById',
      method: 'get',
      params: {id: id}
    })
  }
}
